﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CsCgrep
{
    /// <summary>
    /// 定数定義クラス
    /// </summary>
    class Constants
    {
        /// <summary>
        /// 日本語 (シフト JIS)
        /// </summary>
        public const string SHIFT_JIS = "shift_jis";

        /// <summary>
        /// Unicode (UTF-8)
        /// </summary>
        public const string UTF8 = "utf-8";

        /// <summary>
        /// 日本語 (EUC)
        /// </summary>
        public const string EUC = "euc-jp";

        /// <summary>
        /// バッファサイズ(number of 16-bit characters)
        /// </summary>
        public const int BUFFER_SIZE = 5000000; // 5000000文字 = 10000000byte = 10Mbyte
    }
}
